From 634aab1639adaaf3bdd85639e936811410641072 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven.rezic@idealo.de>
Date: Thu, 24 Mar 2022 10:00:09 +0100
Subject: [PATCH] use another git repo for testing

This is a workaround for RT #141798
---
 t/protocol_gpp.t | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/t/protocol_gpp.t b/t/protocol_gpp.t
index 80c52e6..d13058b 100644
--- a/t/protocol_gpp.t
+++ b/t/protocol_gpp.t
@@ -6,7 +6,7 @@ use IO::File;
 use Path::Class;
 use Test::More;
 
-my $socket = IO::Socket::INET->new("www.github.com:80");
+my $socket = IO::Socket::INET->new("repo.or.cz:80");
 if ($socket) {
     close ($socket);
 } else {
@@ -19,7 +19,10 @@ dir($directory)->rmtree;
 my $git = Git::PurePerl->init( directory => $directory );
 isa_ok( $git, 'Git::PurePerl', 'can init' );
 
-$git->clone( 'github.com', '/acme/git-pureperl.git' );
+$git->clone( 'git://repo.or.cz/libwww-perl-eserte.git' );
+#$git->clone( 'ssh://git@github.com/acme/git-pureperl.git' ); # XXX works only if the user has ssh keys setup in github; also may be interactive
+#$git->clone( 'git://repo.or.cz/andk-cpan-tools.git' ); # XXX does not work, protocol error
+#$git->clone( 'git://repo.or.cz/sampleproject.git' ); # XXX does not work, empty repository, EOF
 
 ok( $git->all_sha1s->all >= 604 );
 ok( $git->all_objects->all >= 604 );
-- 
2.25.1

